import java.util.Scanner;

public class Runas {
	
	static int solve(String s) {
		String numbers = "FWSRZTY";
		int[] value = {1, 10, 100, 1000, 10000, 100000, 1000000};
		
		int val = 0;
		int cnt = 0;
		int ans = 0;
		for (int i = 0; i < s.length(); ++i) {
			int nval = value[numbers.indexOf(s.charAt(i))];
			if (nval < val) return -1;
			if (nval == val)
				++cnt;
			else
				cnt = 1;
			if (cnt > 9) return -1;
			ans += nval;
			val = nval;
		}
		return ans;
	}
	
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		int n = sc.nextInt();		
		while (n-- > 0) {
			String s = sc.next();
			int ans1 = solve(s);
			int ans2 = solve(new StringBuffer(s).reverse().toString());
			
			if (ans1 == -1 && ans2 == -1)
				System.out.println("erro");
			else if (ans1 == -1)
				System.out.println(ans2);
			else
				System.out.println(ans1);
		}
		
		
	}
}